Package ch.admin.suis.validator.rest.to

# Enum Class ValidStatus

java.lang.Object
java.lang.Enum<ValidStatus>
ch.admin.suis.validator.rest.to.ValidStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ValidStatus>`, `Constable`

public enum ValidStatus extends Enum<ValidStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INFO`
  `INVALID`
  `UNSURE`
  `VALID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValidStatus`
  `sum(ValidStatus otherStatus)`
  `int`
  `value()`
  `static ValidStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ValidStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFO

    public static final ValidStatus INFO

  - ### VALID

    public static final ValidStatus VALID

  - ### UNSURE

    public static final ValidStatus UNSURE

  - ### INVALID

    public static final ValidStatus INVALID

- ## Method Details

  - ### values

    public static ValidStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ValidStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### sum

    public ValidStatus sum(ValidStatus otherStatus)

  - ### value

    public int value()